Bug 1473434 - [abrt] dnfdragora-gui: _gtk.py:70:_on_status_icon_popup_menu:AttributeError: 'Icon' object has no attribute '_menu_handle'
[abrt] dnfdragora-gui: _gtk.py:70:_on_status_icon_popup_menu:AttributeError: ...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: dnfdragora (Show other bugs)
25
i686 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Björn "besser82" Esser
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:636dff394eb900736b57839dfe6...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-07-20 16:17 EDT by Al Schapira
Modified: 2017-12-12 05:20 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-12-12 05:20:58 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (519 bytes, text/plain)
2017-07-20 16:17 EDT, Al Schapira
no flags Details
File: environ (1.70 KB, text/plain)
2017-07-20 16:17 EDT, Al Schapira
no flags Details

  None (edit)
Description Al Schapira 2017-07-20 16:17:23 EDT
Description of problem:
?

Version-Release number of selected component:
dnfdragora-gui-1.0.1-5.git20170505.2a3b056.fc25

Additional info:
reporter:       libreport-2.8.0
cmdline:        /usr/bin/python3 /bin/dnfdragora-updater
executable:     /bin/dnfdragora-updater
kernel:         4.11.10-200.fc25.i686
pkg_fingerprint: 4089 D8F2 FDB1 9C98
pkg_vendor:     Fedora Project
runlevel:       N 5
type:           Python3
uid:            1000

Truncated backtrace:
_gtk.py:70:_on_status_icon_popup_menu:AttributeError: 'Icon' object has no attribute '_menu_handle'

Traceback (most recent call last):
  File "/usr/lib/python3.5/site-packages/pystray/_gtk.py", line 70, in _on_status_icon_popup_menu
    if self._menu_handle:
AttributeError: 'Icon' object has no attribute '_menu_handle'

Local variables in innermost frame:
status_icon: <Gtk.StatusIcon object at 0xb226e0cc (GtkStatusIcon at 0x80e26bd0)>
button: 3
activate_time: 257308
self: <pystray._gtk.Icon object at 0xb226c26c>

Potential duplicate: bug 1454490
Comment 1 Al Schapira 2017-07-20 16:17:29 EDT
Created attachment 1301986 [details]
File: backtrace
Comment 2 Al Schapira 2017-07-20 16:17:30 EDT
Created attachment 1301987 [details]
File: environ
Comment 3 Fedora End Of Life 2017-11-16 09:16:27 EST
This message is a reminder that Fedora 25 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 25. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '25'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 25 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.
Comment 4 Fedora End Of Life 2017-12-12 05:20:58 EST
Fedora 25 changed to end-of-life (EOL) status on 2017-12-12. Fedora 25 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.